# Interface IArchivedPatientObservationService

Namespace
  adas_core.Application.Services.Interfaces

Assembly
  adas-core.Application.dll

    public interface IArchivedPatientObservationService

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### FindArchivedPatientObservationsFromPatient(ObjectId)

Asynchronously retrieves the list of archived patient observations associated with the specified patient.

    Task<List<PatientObservation>> FindArchivedPatientObservationsFromPatient(ObjectId patientId)

#### Parameters

`patientId` ObjectId

  The unique identifier of the patient whose archived observations are to be retrieved.

#### Returns

Task<List<PatientObservation>>

  A task that represents the asynchronous operation, containing a list of PatientObservation objects representing the archived observations for the patient.